petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexComputeProjection3Dto2D

Rewrite coordinates to be the 2D projection of the 3D coordinates

### Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeProjection3Dto2D(PetscInt coordSize, PetscScalar coords[], PetscReal R[])

Not collective

### Input Parameter

coords -The coordinates of a segment

### Output Parameters

| coords | - The new y- and z-coordinates, and 0 for x
| R | - The rotation which accomplishes the projection

### See Also

DMPlexComputeProjection2Dto1D(), DMPlexComputeProjection3Dto1D()

### Level

developer

### Location

src/dm/impls/plex/plexgeometry.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages